Bug 97426 - glScissor gives vertically inverted result
Summary: glScissor gives vertically inverted result
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-21 08:03 UTC by Ruslan Kabatsayev
Modified: 2016-08-25 13:22 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Kabatsayev 2016-08-21 08:03:17 UTC
Running clear-scissor test from mesa-demos gives me inverted vertically result in "Software Rasterizer" driver as compared to Gallium (both llvmpipe and softpipe).
Comment 1 Brian Paul 2016-08-22 14:25:13 UTC
Hmm, works for me:

./clear-scissor 
Mesa: Initializing x86-64 optimizations
GL_RENDERER   = Mesa X11
GL_VERSION    = 2.1 Mesa 12.1.0-devel (git-0abebec)
GL_VENDOR     = Brian Paul

The rendering matches llvmpipe, softpipe and NVIDIA's driver.
Comment 2 Ruslan Kabatsayev 2016-08-23 16:53:55 UTC
Hmm, a difference from mine is in GL_RENDERER: here's what I have:

GL_RENDERER   = Software Rasterizer
GL_VERSION    = 2.1 Mesa 12.1.0-devel (git-607ab6d)
GL_VENDOR     = Mesa Project
Comment 3 Emil Velikov 2016-08-23 17:05:46 UTC
Classic xlib libGL.so (comment 1) vs classic swrast_dri.so this report ?
Comment 4 Brian Paul 2016-08-24 14:32:50 UTC
OK, I repro'd the problem.  Several other programs show the problem when run with the -sb flag, such as tri-clear  I'm taking a look.
Comment 5 Brian Paul 2016-08-24 15:00:13 UTC
I posted a patch which fixes this to mesa-dev.
Comment 6 Brian Paul 2016-08-25 13:22:08 UTC
Patch committed to master branch.  2a2dc416b6816ac8914c5f45ac80545d2c09246f


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.